# Interface IResolvingPositionEventArgs

The `IResolvingPositionEventArgs` interface describes the object that all `onResolvingPosition` event handlers receive as an argument.

## Index

### Properties

- providers

## Properties

### providers

providers: IGeolocationPositionProvider[]

- Defined in events/DistanceEvents.ts :26

The array of providers that can provide a position. The first provider that can resolve the position will be used.

### Hierarchy

- IResolvingPositionEventArgs